<?php declare(strict_types=1);

namespace KevinPlugin\Handler;

use KevinPlugin\Utils\KevinInfoMessage;
use KevinPlugin\Utils\Translator;
use KevinPlugin\WcConstants;
use KevinPluginFramework\Application\KevinConstants;

defined('ABSPATH') || exit;

class RefundWebhookHandler implements WebhookHandlerInterface
{
    public function handle(\WC_Order $order, array $request): array
    {
        $statusGroup = $request['statusGroup'];
        $order->add_order_note(
            KevinInfoMessage::withPrefix(sprintf(Translator::translate('Refund status is: %s'), $statusGroup))
        );
        if ($statusGroup === KevinConstants::STATUS_GROUP_COMPLETED) {
            if ($order->get_remaining_refund_amount() == 0) {
                $order->update_status(WcConstants::WC_ORDER_STATUS_REFUNDED, '', true);
            }
        }

        return [
            'isSuccess' => true,
            'message' => 'Signatures match.'
        ];
    }
}