<?php

declare(strict_types=1);

namespace KevinPlugin;

defined('ABSPATH') || exit;

class PluginConfig
{
    public static function PLUGIN_VERSION(): string
    {
        return self::getValue('plugin_version');
    }

    public static function CUSTOM_WEBHOOK_URL()
    {
        return self::getValue('custom_webhook_url');
    }

    public static function CUSTOM_RETURN_URL()
    {
        return self::getValue('custom_return_url');
    }

    public static function KEVIN_API_DOMAIN()
    {
        return self::getValue('api_kevin_domain');
    }

	/**
	 * @return string
	 */
	public static function KEVIN_MONITORING_SERVICE_URL()
	{
		return self::getValue('monitoring_service_url');
	}

	/**
	 * @return string
	 */
	public static function KEVIN_MONITORING_SERVICE_KEY()
	{
		return self::getValue('monitoring_service_key');
	}

	/**
	 * @param $key
	 *
	 * @return mixed|null
	 */
	private static function getValue($key)
	{
		static $config;
		if (!$config) {
			$config = json_decode(file_get_contents(__DIR__ . '/../kevin.config.json'), true);
			if (file_exists(__DIR__ . '/../kevin.config.dev.json')) {
				$localConfig = json_decode(file_get_contents(__DIR__ . '/../kevin.config.dev.json'), true);
				$config = array_merge($config, $localConfig);
			}
			if (file_exists(__DIR__ . '/../kevin.config.local.json')) {
				$localConfig = json_decode(file_get_contents(__DIR__ . '/../kevin.config.local.json'), true);
				$config = array_merge($config, $localConfig);
			}
		}

		return $config[$key] ?? null;
	}
}
