<?php

declare(strict_types=1);

namespace KevinPlugin\Utils;

class Server
{
	public static function getCustomerIpPort(): string
	{
		if (isset($_SERVER['HTTP_X_REAL_PORT'])) {
			return sanitize_text_field(wp_unslash($_SERVER['HTTP_X_REAL_PORT']));
		} elseif (isset($_SERVER['HTTP_X_FORWARDED_PORT'])) {
			return sanitize_text_field(wp_unslash($_SERVER['HTTP_X_FORWARDED_PORT']));
		} elseif (isset($_SERVER['REMOTE_PORT'])) {
			return sanitize_text_field(wp_unslash($_SERVER['REMOTE_PORT']));
		}

		return '';
	}
}
