<?php declare(strict_types=1);

use KevinPlugin\Utils\Translator;

/** @var KevinPlugin\View\BankPaymentView $this */

?>
<?php if (empty($this->banks) && !$this->gatewaySettings->isCountryDropdown()): ?>
	<div class="woocommerce-error"><?= sprintf(Translator::translate('No bank is available in your selected country: %s'), WC()->countries->countries[$this->defaultCountryCode]); ?></div>
<?php endif ?>
<div class="kevin-search-wrapper">
	<?php if ($this->gatewaySettings->isCountryDropdown()): ?>
	<select id="kevin-country-selector" class="form-select kevin-country-selector" onchange="filterBySelect(this.value)" aria-label="Default select example">
		<option><?= Translator::translate('Select country'); ?></option>
		<?php foreach ($this->countries as $isoCode => $country): ?>
			<?php $selected = ($isoCode === $this->defaultCountryCode ? 'selected' : ''); ?>
			<option <?= $selected ?> value="<?= esc_html($isoCode) ?>"><?= esc_html($country) ?></option>
		<?php endforeach;?>
	</select>
	<?php endif; ?>
	<?php if ($this->gatewaySettings->isBankSearch()): ?>
	<input id="kevin-bank-input" type="text" class="input-text" placeholder="<?= Translator::translate('Bank name'); ?>" onkeyup="filterBySearch(this)" data-default_country="<?=$this->defaultCountryCode?>"/>
	<?php endif; ?>
</div>
<div class="wc-kevin-banks-list">
	<?php foreach ($this->banks as $bank): ?>
	<div class="wc-kevin-bank" data-country="<?= esc_attr($bank['countryCode']) ?>" <?php if ($this->defaultCountryCode !== $bank['countryCode']):?> style="display: none;" <?php endif;?>>
		<?php if ($this->gatewaySettings->isCheckoutViewList()): ?>
		<label>
			<input type="radio" name="payment[bank_id]" value="<?= esc_attr($bank['id']); ?>" title="<?= esc_attr($bank['name']); ?>">
			<?= esc_html($bank['name']); ?>
			<img src="<?= esc_attr($bank['imageUri']); ?>" height="48" alt="<?= esc_attr($bank['name']); ?>">
		 </label>

		<?php else: ?>
		<input type="radio" name="payment[bank_id]" id="<?= esc_html($bank['id']); ?>" value="<?= esc_attr($bank['id']); ?>" />
		<label for="<?= esc_html($bank['id']); ?>">
			<img class="wc-kevin-bank-logo" src="<?= esc_attr($bank['imageUri']); ?>" alt="<?= esc_attr($bank['name']); ?>" />
			<div class="wc-kevin-bank-name"><?= esc_attr($bank['name']); ?></div>
		</label>
		<?php endif ?>
	</div>
	<?php endforeach; ?>
</div>
