<?php declare(strict_types=1);

use KevinPlugin\Utils\Translator;

/** @var KevinPlugin\View\BankPaymentSettingsFormView $this */

?>

<?php foreach ($this->getInfoMessages() as $message): ?>
	<div class="notice notice-info"><p><?= $message ?></p></div>
<?php endforeach; ?>
<?php foreach ($this->getWarningMessages() as $message): ?>
	<div class="notice notice-warning"><p><?= $message ?></p></div>
<?php endforeach;?>
<?php foreach ($this->getErrorMessages() as $message): ?>
	<div class="notice notice-error"><p><strong><?= $message ?></strong></p></div>
<?php endforeach; ?>

<?php $this->bankPaymentGateway->echo_header_html();?>

<div class="getKevin_config">
	<h2>
		<?php foreach ($this->getSubForms() as $index => $subForm): ?>
			<a href="<?= $this->getBankPaymentSettingsUrl().'&kevin-tab='.$subForm->getId() ?>" class="nav-tab <?= $this->getActiveFormId() === $subForm->getId() ? ' nav-tab-active' : ''?>">
				<?= $subForm->getName() ?>
			</a>
		<?php endforeach; ?>
		<a href="<?= $this->getCardPaymentSettingsUrl() ?>" class="nav-tab" id="tab-card-payment" data-cont="content-card-payment">
			<?= Translator::translate('Card payments') ?>
		</a>
	</h2>
	<div style="clear:both;"><hr/></div>
	<?php foreach ($this->getSubForms() as $index => $subForm): ?>
		<div id="content<?=$index?>" class="tabContent"  <?= $this->getActiveFormId() !== $subForm->getId() ? 'style="display:none;"' : ''?>>
			<table class="form-table">
				<?= $this->getHtmlForSubForm($subForm) ?>
			</table>
		</div>
	<?php endforeach; ?>
</div>
