<?php declare(strict_types=1);

/** @var KevinPlugin\View\CardPaymentSettingsFormView $this */

use KevinPlugin\Utils\Translator;

?>

<?php foreach ($this->getInfoMessages() as $message): ?>
    <div class="notice notice-info"><p><?= $message ?></p></div>
<?php endforeach; ?>
<?php foreach ($this->getWarningMessages() as $message): ?>
    <div class="notice notice-warning"><p><?= $message ?></p></div>
<?php endforeach;?>
<?php foreach ($this->getErrorMessages() as $message): ?>
    <div class="notice notice-error"><p><strong><?= $message ?></strong></p></div>
<?php endforeach; ?>

<?php $this->cardPaymentGateway->echo_header_html();?>

<div class="getKevin_config">
    <h2>
        <a href="<?= $this->getBankPaymentCredentialsSettingsUrl() ?>" class="nav-tab">
            <?= Translator::translate('Main settings') ?>
        </a>
        <a href="<?= $this->getBankPaymentCheckoutSettingsUrl() ?>" class="nav-tab">
            <?= Translator::translate('Bank payments') ?>
        </a>
        <a href="javascript:void(0)" class="nav-tab nav-tab-active" id="tab3">
            <?= Translator::translate('Card payments') ?>
        </a>
    </h2>
    <div style="clear:both;"><hr/></div>
    <div id="content3" class="tabContent">
        <table class="form-table">
            <?= $this->generateSettingsHtml() ?>
        </table>
    </div>
</div>
