<?php

namespace KevinPluginFramework\Application;

use KevinPluginFramework\Application\Exception\KevinInitException;

class PaymentClientSettings
{
    private $pluginVersion;
    private $pluginPlatform;
    private $pluginPlatformVersion;
    private $domain;
    private $lang;
    private $version;

    public function __construct(
        $pluginVersion,
        $pluginPlatform,
        $pluginPlatformVersion,
        $domain = null,
        $lang = null
    )
    {
		if (!$pluginVersion || !$pluginPlatform || !$pluginPlatformVersion) {
			throw new KevinInitException('missing settings param');
		}
        $this->pluginVersion = $pluginVersion;
        $this->pluginPlatform = $pluginPlatform;
        $this->pluginPlatformVersion = $pluginPlatformVersion;
        $this->domain = $domain;
        $this->lang = $lang;
        $this->version = '0.3';
    }

    /**
     * @return array
     */
    public function toArray()
    {
        return [
            'pluginVersion' => $this->pluginVersion,
            'pluginPlatform' => $this->pluginPlatform,
            'pluginPlatformVersion' => $this->pluginPlatformVersion,
            'domain' => $this->domain,
            'lang' => $this->lang,
            'version' => $this->version
        ];
    }
}
