<?php

namespace KevinPluginFramework\Application;

use Kevin\SecurityManager;

class PaymentWebhookVerifier
{
	private $endpointSecret;
	private $webhookUrl;

	/**
	 * @param string $endpointSecret
	 * @param string $webhookUrl
	 */
	public function __construct($endpointSecret, $webhookUrl)
	{
		$this->endpointSecret = $endpointSecret;
		$this->webhookUrl = $webhookUrl;
	}

	/**
	 * @param string $requestBody
	 * @param array $headers
	 * @return bool
	 */
	public function verifySignature($requestBody, $headers)
	{
		return SecurityManager::verifySignature($this->endpointSecret, $requestBody, $headers, $this->webhookUrl, 300000);
	}
}
