<?php

namespace KevinPluginFramework\Presentation\Admin\Form\BuildGuideline;

class PaymentStatusesFormBuildGuideline implements FormBuildGuidelineInterface
{
    const FIELD_NAME_NEW_PAYMENT_STATUS = 'payment_new_order_status';
    const FIELD_NAME_PENDING_PAYMENT_STATUS = 'payment_pending_order_status';
    const FIELD_NAME_COMPLETED_PAYMENT_STATUS = 'payment_completed_order_status';
    const FIELD_NAME_FAILED_PAYMENT_STATUS = 'payment_failed_order_status';

    private $name = 'Order statuses';

    /**
     * @var array
     */
    private $guidelines;

    public function __construct()
    {
        $this->guidelines = [
            self::FIELD_NAME_NEW_PAYMENT_STATUS => (new FormFieldBuildGuideline())
                ->setName(self::FIELD_NAME_NEW_PAYMENT_STATUS)
                ->setTitle('Payment started')
                ->setType(FormFieldBuildGuideline::FIELD_TYPE_SELECT)
                ->setDescription('Select order status for started payment'),
            self::FIELD_NAME_PENDING_PAYMENT_STATUS => (new FormFieldBuildGuideline())
                ->setName(self::FIELD_NAME_PENDING_PAYMENT_STATUS)
                ->setTitle('Payment pending')
                ->setType(FormFieldBuildGuideline::FIELD_TYPE_SELECT)
                ->setDescription('Select order status for pending payment'),
            self::FIELD_NAME_COMPLETED_PAYMENT_STATUS => (new FormFieldBuildGuideline())
                ->setName(self::FIELD_NAME_COMPLETED_PAYMENT_STATUS)
                ->setTitle('Payment completed')
                ->setType(FormFieldBuildGuideline::FIELD_TYPE_SELECT)
                ->setDescription('Select order status for completed payment'),
            self::FIELD_NAME_FAILED_PAYMENT_STATUS => (new FormFieldBuildGuideline())
                ->setName(self::FIELD_NAME_FAILED_PAYMENT_STATUS)
                ->setTitle('Payment failed')
                ->setType(FormFieldBuildGuideline::FIELD_TYPE_SELECT)
                ->setDescription('Select order status for failed payment'),
        ];
    }

    public function getFormFieldBuildGuidelines()
    {
        return $this->guidelines;
    }

    public function getName()
    {
        return $this->name;
    }
}
