<?php

namespace KevinPluginFramework\Presentation\Admin\Form\Validator;

class NotBlankValidator implements ValidatorInterface
{
	/**
	 * @var string
	 */
	private $message = 'This value should not be blank.';

	public function validate($value)
	{
		if (null === $value) {
			return false;
		}
		if (is_string($value)) {
			return (bool)strlen(trim($value));
		}

		return true;
	}

	public function getMessage()
	{
		return $this->message;
	}
}
