<?php

namespace KevinPluginFramework\Presentation\Admin\Form\Validator;

class RegexValidator implements ValidatorInterface
{
	private $regex;
	private $message;

    /**
     * @param string $regex
     * @param string $message
     */
	public function __construct($regex, $message)
	{
		$this->regex = $regex;
		$this->message = $message;
	}

	public function validate($value)
	{
		return (bool)preg_match($this->regex, $value);
	}

	public function getMessage()
	{
		return $this->message;
	}
}
